Package csb :: Package statistics :: Package samplers :: Package mc :: Class Trajectory

[frames] | no frames]

# Class Trajectory

source code

                  object --+
                           |
        core.AbstractIndexer --+
                               |
    core.BaseCollectionContainer --+
                                   |
            core.CollectionContainer --+
                                       |
                          object --+   |
                                   |   |
           AbstractPropagationResult --+
                                       |
                                      Trajectory

Known Subclasses:
  - neqsteppropagator.NonequilibriumTrajectory
  - , neqsteppropagator.PerturbationResult

Ordered collection of states, representing a phase-space trajectory.

Nested Classes
Inherited from `AbstractPropagationResult`: `__metaclass__`

Instance Methods

__init__(self, items, heat=0.0, work=0.0) x.__init__(...) initializes x; see help(type(x)) for signature | source code

Inherited from `core.CollectionContainer`: `append` Inherited from `core.BaseCollectionContainer`: `__bool__`, `__contains__`, `__getitem__`, `__iter__`, `__len__`, `__nonzero__`, `__repr__` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __abstractmethods__ = ``frozenset([``])``

Properties
| final Final state
float | heat Heat produced during propagation
| initial Initial state
| work
Inherited from `core.BaseCollectionContainer`: `last_index`, `length`, `start_index` Inherited from `object`: `__class__`

Method Details

### __init__(self, items, heat=0.0, work=0.0)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `items` (list of AbstractState) - list of states defining a phase-space trajectory
  - `heat` (float) - heat produced during the trajectory
  - `work` (float) - work produced during the trajectory
Overrides: object.__init__
  (inherited documentation)

Property Details

### final

Final state

Get Method:
  unreachable.final(self)

### heat

Heat produced during propagation

Get Method:
  unreachable.heat(self)
Set Method:
  unreachable.heat(self, value)
Type:
  float

### initial

Initial state

Get Method:
  unreachable.initial(self)

### work

Get Method:
  unreachable.work(self)
Set Method:
  unreachable.work(self, value)